import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";

export const changeProfileInfo = createAsyncThunk(
  "CHANGE_PROFILE_INFO",
  async (d) => {
    const { data, status } = await axios.put("system_user_profile/0/", d);
    return { data, status };
  }
);

export const changeProfileFactorInfo = createAsyncThunk(
  "CHANGE_PROFILE_FACTOR_INFO",
  async (d) => {
    const { data, status } = await axios.put(
      "system_user_profile-for-factor/0/",
      d
    );
    return { data, status };
  }
);
